:root {
  --font-family: 'Aspekta Variable', sans-serif;
  --background-light: #ECECED;
  --background-dark: #1E1E1E;
  --background-course: #ececed;
  --background-skills: #fff;
  --text-light: #363131;
  --text-dark: #E0E0E0;
  --menu-button-color: #404040;
  --menu-button-color-hover: #000000;
  --bg-color: #ffffff;
  --text-color: #212121;
  --menuBGColorBorder:#e0e0e0;
  --tagCourseBorder:#d7d7d7;
  --tagCourseBGMobile:#dfdfdf;
  --tagCourseTextMobile:#363131;
  --portfolioImgBorder: #fff;
  --stepsBg: #ffffff;
  --stepsBorder: #ffffff;
}

[data-theme="light"] {
  --background-light: #ECECED;
  --menuBGColor:#ececed7a;
  --menuBGColorBorder:#e0e0e0;
  --text-light: #363131;
  --tagCourseBorder:#d7d7d7;
  --tagCourseBGMobile:#dfdfdf;
  --tagCourseTextMobile:#363131;
  --portfolioImgBorder: #fff;
  --stepsBg: #ffffff;
  --stepsBorder: #ffffff;
}
[data-theme="dark"] {
  --background-light: #ECECED;
    --background-dark: #1E1E1E;
    --background-course: #ececed;
    --background-skills: #fff;
    --text-light: #363131;
    --text-dark: #E0E0E0;
  --menuBGColor:#1f1f2b3b;
  --menuBGColorBorder:#343444;
  --bg-color: #121212;
  --text-color: red;
  --background-course: #2a2a3e;
  --background-skills: #454564;
  --text-light: #e0e0e0;
  --tagCourseBorder:#464564;
  --tagCourseBGMobile:#2a2a3e;
  --tagCourseTextMobile:#ffffff;
  --portfolioImgBorder: #515151;
  --stepsBg: #13131f;
  --stepsBorder: #232334;
}

html {
  width: auto;
  scroll-behavior: auto !important;
}

body {
  font-family: var(--font-family);
  background-color: var(--background-light);
  color: var(--text-light);
  min-width: 100%;
  overflow-x: hidden;
}

body.dark-mode {
  background-color: var(--background-dark);
  color: var(--text-dark);
}

[data-theme="dark"] body {
  background-color: var(--background-dark);
  color: var(--text-dark);
}

*, *::before, *::after {
  box-sizing: border-box;
}

h2 {
  font-size: 2rem;
  text-transform: uppercase;
  font-weight: 600;
  line-height: 1.5;
  color: var(--text-light);
}

h3 {
  font-size: 1.4rem;
  font-weight: 600;
  line-height: 2;
  color: var(--text-light);
}

.pb-1rem {
  padding-bottom: 1rem;
}

.pb-1-5rem {
  padding-bottom: 1.5rem;
}

.pb-2rem {
  padding-bottom: 2rem;
}

.layout {
  padding: 0 2rem;
  z-index: 999;
  position: relative !important;
  background-color: var(--background-light);
/*  overflow-x: hidden;*/
}
[data-theme="dark"] .layout {
  background-color: #1f1f2b;
  color: var(--text-dark);
}

@media (max-width: 768px) {
  .layout {
    padding: 0 0.5rem;
    width: 100%;
  }
}
.container-fluid {
  width: calc(100% - 3rem);
}
.custom-font-28 {
  font-size: 28px;
  font-weight: 600;
}

.custom-font-18 {
  font-size: 1.065rem;
  font-weight: 300;
  line-height: 1.75;
}

.custom-font-16 {
  font-size: 16px;
  font-weight: 300;
}

.custom-font-36 {
  font-size: 36px;
  font-weight: 600;
  line-height: 1.5;
}

.custom-font-32 {
  font-size: 32px;
  font-weight: 400;
  line-height: 1.5;
}

.custom-font-22 {
  font-size: 22px;
  font-weight: 400;
}

/* nav styles */
.nav {
  position: fixed;
  display: flex;
  width: calc(100% - 4rem);
  margin: 0 2rem;
  /*  height: 84px;
  background: #ececed7a;
  backdrop-filter: blur(18px);
  border-radius: 30px;
  border: 1px solid #e0e0e0;
  padding: 10px;*/
  top: 20px;
  justify-content: space-between;
  align-items: center;
  z-index: 1000;
}

.nav-left {
  display: flex;
  align-items: center;
  gap: 32px;
  transition: all 400ms ease;
}


@media (min-width: 1024px) {
  .nav-left {
    margin: 0 2rem;
    height: 64px;
    background: #ececed7a;
    background: var(--menuBGColor);
    backdrop-filter: blur(18px);
    border-radius: 100px;
    border: 1px solid;
    border-color: var(--menuBGColorBorder);
    padding: 10px 20px 10px 10px;
  }
}

.nav-brand {
  display: flex;
  align-items: center;
  position: relative;
}

.nav-brand img {
  max-height: calc(64px - 20px);
  width: auto;
  object-fit: cover;
  border-radius: 24px;
}

.nav-name {
  font-size: 18px;
  font-weight: 600;
  margin-left: 0.5rem;
  margin-right: 2rem;
  transition: all 400ms ease;
}

.nav-name:after {
  position: absolute;
  content: '';
  border-right: 1px solid #cdcdcd;
  width: 1px;
  height: 54%;
  top: 50%;
  transform: translateY(-50%);
  margin-left: 1rem;
  transition: all 400ms ease;
}

.nav-title {
  font-size: 16px;
  font-weight: 400;
}

.nav-left:hover {
  background: #ffffffe6;
}

.nav-left a {
  text-decoration: none;
  color: var(--text-light);
  transition: all 400ms ease;
}

.nav-left a:hover {
  text-decoration: none;
  color: #000;
}

.nav-right {
  display: flex;
  flex: 0;
  justify-content: space-between;
  padding-left: 2rem;
}

@media (min-width: 1024px) {
  .nav-right {
    margin: 0 2rem;
    height: 64px;
    background: var(--menuBGColor);
    backdrop-filter: blur(18px);
    border-radius: 100px;
    border: 1px solid;
    border-color: var(--menuBGColorBorder);
    padding: 10px;
  }
}


.nav-buttons {
  display: flex;
  align-items: center;
  gap: 8px;
}

.nav-buttons a {
  background: #dededf;
  border: 1px solid #dededf;
  padding: 16px 11px;
  border-radius: 120px;
  color: #363131;
  font-size: 1.2rem;
  line-height: 1rem;
  font-weight: 600;
  text-decoration: none;
  transition: all 400ms ease;
  text-align: center;
  min-width: 48px;
  max-width: 48px;
  height: 48px;
  letter-spacing: -1.5px;
}

.nav-buttons a:hover {
  background: #f5f5f5;
}

.nav-buttons .nav-button-swicher {
  background: #f6f6f6;
  border: 1px solid #e1e1e1;
  padding: 11px;
}

.icons-svg {
  width: 24px;
  height: 24px;
  fill: currentColor;
}

.nav-button-linkedin {
  color: #000;
  padding: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: color 0.3s ease;
  color: #000;
}

.nav-button-linkedin:hover {
  color: #0077b5;
}

@media (min-width: 1024px) and (max-width: 1140px) {
  .nav-name {
    font-size: 20px;
    margin-left: 0.6rem;
    margin-right: 1.2rem;
  }

  .nav-name:after {
    margin-left: 0.7rem;
  }

  .nav-menu a {
    padding: 12px 12px;
    font-size: 0.8rem;
  }
}

@media (max-width: 1024px) {
  .nav {
    position: fixed;
    display: flex;
    width: calc(100% - 20px);
    height: auto;
    background: #ececed7a;
    backdrop-filter: blur(18px);
    border-radius: 180px;
    top: 16px;
    align-items: center;
    border: 1px solid #e0e0e0;
    padding: 4px;
    z-index: 1000;
    margin: 0 10px;
    justify-content: space-between;
    flex-direction: row;
  }

  .nav-left {
    flex-direction: column;
  }

  .nav-brand {
    display: grid;
    grid-template-columns: auto 1fr auto;
    align-items: center;
    gap: 10px;
    width: 100%;
  }

  .nav-brand img {
    /*grid-row: span 2;*/
    width: auto;
    height: 48px;
    object-fit: cover;
    border-radius: 160px;
  }

  .nav-text {
    display: flex;
    flex-direction: column;
  }

  .nav-name {
    margin: 0;
    font-weight: 600;
  }

  .nav-name:after {
    display: none;
  }

  .nav-title {
    font-size: 0.9em;
    color: gray;
  }
/*
  .nav-mobile-menu {
    display: flex;
    justify-content: center;
    align-items: center;
    min-width: 48px;
    height: 48px;
    padding: 12px 16px;
    border-radius: 12px;
    text-align: center;
    font-size: 1.2rem;
    font-weight: 600;
    line-height: 1rem;
    letter-spacing: -0.5px;
    color: #363131;
    text-decoration: none;
    background: #dededf;
    border: 1px solid #dededf;
    transition: all 400ms ease;
  }
*/
  .nav-right {
    display: flex;
    flex: 1;
    flex-direction: column;
    align-items: flex-end;
    gap: 3rem;
    overflow: hidden;
    transition: max-height 0.5s ease-in-out, opacity 0.5s ease-in-out;
  }

  .nav-menu {
    display: flex;
    gap: 12px;
    flex-direction: column;
    text-align: center;
    padding-top: 3rem;
    padding-bottom: 3rem;
  }

  .nav-menu a {
    padding: 12px 60px;
    background: #f4f4f4;
  }

  .nav-button-cv, .nav .toggle-button {
    display: none;
  }

}

/* nav styles end */
/* svg-icon styles*/
.svg-icon svg {
  width: 32px;
  height: 32px;
  color: white;
}

@media (prefers-color-scheme: light) {
  .svg-icon svg {
    color: var(--menu-button-color);
  }

  /*
  a:hover .svg-icon svg g path {
    fill: #A23737;
  }
  a:hover .svg-icon svg {
    fill: #A23737;
  }
*/
}

.icon-linkedin svg path {
  fill: #var(--menu-button-color);
}

a:hover .icon-linkedin svg path {
  fill: #000;
}

a:hover .icon-linkedin svg {
  fill: #000;
}

/* svg-icon styles end*/
/* bg style*/
.bg-svg {
  position: absolute;
  height: -webkit-fill-available;
  width: 100vw;
  z-index: -1;
  background-size: auto;
  background-repeat: no-repeat;
}

.bg-svg-hero {
  background-image: url('../img/bg-top.svg');
  top: 40px;
  left: 0;
}
[data-theme="dark"] .bg-svg-hero {
    background-image: url('../img/bg-top-blue.svg');
      top: 40px;
      left: 0;
    }

.bg-svg-steps {
  background-image: url('../img/bg-mid.svg');
  top: 1190px;
  left: 0;
}

[data-theme="dark"] .bg-svg-steps {
  background-image: url('../img/bg-mid-blue.svg');
  top: 1190px;
  left:0;
}

/* bg styles end*/
/* moon-sun toggle
tributes to https://codepen.io/joyshaheb/pen/gOwOGQE
*/
.dark-mode .layout {
  background: #1F1F2B;
}

.dark-mode .bg-svg-hero {
  background-image: url('../img/bg-top-blue.svg');
  /* Своя картинка */
  top: 40px;
  left: 0;
}

.dark-mode .bg-svg-steps {
  background-image: url('../img/bg-mid-blue.svg');
  /* Другая картинка */
  top: 1190px;
  left: 0;
}

/* moon-sun toggle end*/
/* hero block styles */
/*.hero-section111111111111111111 {
  background-image: url(../img/bg-top.svg);
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}
*/
.hero-section  {}
.hero-section h1 {
  padding-bottom: 1rem;
}
.intro-text {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 20px;
  padding-bottom: 1rem;
}

@media (max-width: 1024px) {
  .intro-text {
    grid-template-columns: 1fr;
  }
}

.svg-location-line {
  display: inline-flex;
  line-height: 2;
  flex-wrap: wrap;
}

.tag-course-wrap {
  padding-top: 2rem;
  padding-bottom: 2rem;
  gap: 1rem !important;

}
.tag-course-wrap a {
  color:#363131;
  text-decoration: none;
}
.tag-course-wrap a:hover {
  color: #000;
}
.tag-course {
  padding: 0.375rem 1rem;
  background: var(--background-course);
  border: 0.0625rem solid #d7d7d7;
  border-color: var(--tagCourseBorder);
  border-radius: 0.75rem;
  gap: 1rem;
}

.tag-skill-wrapper {
  width: 65%;
  gap: .5rem !important;
}

.tag-skill {
  padding: 0.5rem 1.5rem;
  background: var(--background-skills);
  font-size:1.1rem;
  font-weight: 500;
  border-radius: 0.75rem;
  gap: 1rem;
}

.tag-course-mobile {
    display: inline;
    padding: 0.375rem 1rem;
    line-height:1.8;
    font-size: 1.1rem;
    background-color: var(--tagCourseBGMobile);
    color: var(--tagCourseTextMobile);
    border-radius: 4px;
    box-decoration-break: clone;
    -webkit-box-decoration-break: clone;
    filter: url('#instagram');
}

@media (min-width: 1280px) {
  .tags-course-mobile {
    display: none!important;
  }
}
@media (max-width: 1280px) {
  .tags-course-desktop {
    display: none!important;
  }
  .tag-skill-wrapper {
    width: 100%;
  }
  .tag-skill {
    padding: 0.35rem 1.05rem;
    font-size: 0.9rem;
    font-weight: 400;
    border-radius: 2.75rem;
  }
}
/* timeline start */
.timeline-dots {
  position: absolute;
  display: flex;
  justify-content: space-between;
  left: 0;
  right: 0;
  bottom: 0;
  margin: 16px 160px;
  padding: 0px 110px;
  border-bottom: 1px solid #C0C2CE;
}

.timeline-dots:after {
  content: '';
  position: absolute;
  background-image: url(../img/timeline-arrow.svg);
  background-repeat: no-repeat;
  height: 14px;
  width: 8px;
  right: 0;
  bottom: -6px;
}

.timeline-dot {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  cursor: pointer;
}

.timeline-dot i {
  width: 1px;
  height: 8px;
  background: #C0C2CE;
  display: block;
}

.timeline-tag {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding-left: 8px;
}
/*
.timeline-tag-start {
  background-image: url(../img/timeline-start.svg);
  height: 64px;
  width: 92px;
}

.timeline-tag-end {
  background-image: url(../img/timeline-end.svg);
  height: 64px;
  width: 92px;
  text-align: right;
  padding-right: 8px;
}
*/

.timeline-tag {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  position: relative; /* нужно для ::before */
  z-index: 1;
  height: 64px;
  width: 92px;
  padding-left: 8px;
  padding-right: 8px; /* чтобы не конфликтовало с end */
  overflow: hidden;
}
.timeline-tag-start::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: url(../img/timeline-start.svg);
  background-size: cover;
  background-position: left;
  opacity: 1; /* регулируй здесь прозрачность */
  z-index: -1;
}
.timeline-tag-end {
  text-align: right;
}
.timeline-tag-end::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: url(../img/timeline-end.svg);
  background-size: cover;
  background-position: right;
  opacity: 1;
  z-index: -1;
}
[data-theme="light"] .timeline-tag-start::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: url(../img/timeline-start.svg);
  background-size: cover;
  background-position: left;
  opacity: 1; /* регулируй здесь прозрачность */
  z-index: -1;
}
[data-theme="light"] .timeline-tag-end::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: url(../img/timeline-end.svg);
  background-size: cover;
  background-position: right;
  opacity: 1;
  z-index: -1;
}

[data-theme="dark"] .timeline-tag-start::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: url(../img/timeline-start.svg);
  background-size: cover;
  background-position: left;
  opacity: 0.1; /* регулируй здесь прозрачность */
  z-index: -1;
}
[data-theme="dark"] .timeline-tag-end::before {
  content: "";
  position: absolute;
  inset: 0;
  background-image: url(../img/timeline-end.svg);
  background-size: cover;
  background-position: right;
  opacity: 0.1;
  z-index: -1;
}
.timeline-tag-top {
  font-size: 0.9rem;
  font-weight: 300;
}

.timeline-tag-bottom {
  font-size: 1.4rem;
  font-weight: 500;
  text-transform: uppercase;
}

@media (max-width: 1024px) {
  .timeline {
    display: none!important;
  }
}

    .floating-img {
      position: absolute;
      width: 200px;
      height: 100px;
      opacity: 0;
      pointer-events: none;
      z-index: 1;
      top:-80px;
      border-bottom-width: 1px;
  border-color: rgba(34, 34, 34, 0.2);
    border-left-width: 1px;
    border-right-width: 1px;
    border-style: solid;
    border-top-width: 1px;
    border-radius: 12px;
    box-shadow: 0px 0px 0px 5px #f7f7f7, rgb(247, 247, 247);
    }

    .floating-img img {
      width: 200px;
      height: 130px;
      object-fit: cover;
      border-radius: 5px;
      border-bottom-width: 1px;
  border-color: rgba(34, 34, 34, 0.2);
    border-left-width: 1px;
    border-right-width: 1px;
    border-style: solid;
    border-top-width: 1px;
    border-radius: 12px;
    box-shadow: 0px 0px 0px 5px #f7f7f7, rgb(247, 247, 247);

    box-shadow: rgba(255, 255, 255, 0.6) 0px 0.5px 0px 0.5px inset, rgba(255, 255, 255, 0.4) 0px 0px 30px 0px inset, rgba(255, 255, 255, 0.8) 0px 0px 12px 0px inset;
    }


/* timeline end*/
/* hero block styles end */
/* portfolio */
.web-title {
  display: flex;
  justify-content: space-between;
  margin-bottom: 2rem;
}

.update-time {
  background: #fff;
  padding: 0.5rem 1.5rem;
  border-radius: 0.75rem;
  height: fit-content;
  font-size: 0.9rem;
}
[data-theme="light"] .update-time {
  background: #fff;
}
[data-theme="dark"] .update-time {
  background: #464564;
}

@media (max-width: 1024px) {
  .web-title {
    flex-direction: column;
    margin-top: 0px !important;
    margin-bottom: 1rem;
    padding-top: 80px;
  }
  .update-time {
    width: max-content;
    padding: 0.25rem 0.75rem;
      border-radius: 1.75rem;
      height: fit-content;
      font-size: 0.7rem;
  }
}


.portfolio-wrap {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 1.5rem;
}

.portfolio-item {
  width: calc(33.333% - 1rem);
  display: flex;
  margin-bottom: 1.5rem;
  flex-direction: column;
  gap: 1rem;
  transition: all 400ms ease;
}

.portfolio-item:hover {
  transform: translateY(-8px);
}

@media (max-width: 1024px) {
  .portfolio {
    width:100%;
    padding-top: 0px !important;
  }
  .portfolio-item {
    width: calc(50% - 0.75rem);
  }
}

@media (max-width: 768px) {
  .portfolio-item {
    width: 100%;
    gap: 0.2rem;
  }
}

.portfolio-item-img {
  width: 100%;
  aspect-ratio: 4 / 3;
  border: 3px solid;
  border-color: var(--portfolioImgBorder);
  border-radius: 16px;
  overflow: hidden;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}

@media (max-width: 768px) {
  .portfolio-item-img {
    border: 1px solid;
    border-radius: 12px;
  }
}

.portfolio-item-img img {
  width: 100%;
/*  height: 100%;  */ /* fis for gsap parallax */
  object-fit: cover;
}

.portfolio-item-img-tags {
  position: absolute;
  right: 12px;
  top: 12px;
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
  z-index: 10;
  justify-content: end;
  
}

.portfolio-item-img-tags span {
  background: #fff;
  padding: 4px 8px;
  border-radius: 6px;
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.1);
  color:#363131;
  font-size: 0.9rem;
  font-weight: 400;
}

.portfolio-link {
  font-size: 1.2rem;
  font-weight: 400;
  color: var(--text-light);
  text-decoration: none;
  margin-left: 1.2rem;
}




.portfolio-intro-header {
	padding-top: 180px;
	padding-bottom: 120px;
}
.portfolio-intro-body {
	padding-bottom: 10rem;
}

.portfolio-intro-relative .portfolio-item {
	width: calc(50% - 1rem);
	padding-bottom: 240px;
}
.container-portfolio {
	padding-bottom: 240px;
}
.container-portfolio {
	grid-column-gap: 2.25rem;
	grid-row-gap: 6.25rem;
	grid-template-rows: auto;
	grid-template-columns: 12.5rem 1fr 7.5rem;
	grid-auto-rows: min-content;
	grid-auto-columns: 1fr;
	display: grid;
}

.container-portfolio article {
	grid-area: span 1 / span 2 / span 1 / span 2;
}
.article-wrapper {
	display: flex;
	flex-direction: column;
	gap: 3rem;
}
.image-container img {
	border-radius:32px;
}

.image-container {
  display: flex;
  justify-content: center;
}
.image-container img {
  border-radius: 32px;
  max-width: 100%;
  height: auto;
}

.portfolio-intro-head {
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	flex-direction: column;
	gap: 1rem;
}
.portfolio-intro-title {
	flex: 1 1 auto;
	min-width: 0;
}

.portfolio-intro-tags {
	flex: 0 0 auto;
}
.portfolio-intro-description {}

.portfolio-intro-links {
	margin-top: 2rem;
	display: flex;
	gap: 1rem;
}
.portfolio-intro-title h2 {
	text-transform: uppercase;
	font-size: 2.2rem;
  font-weight: 700;
}
.portfolio-intro-tags .tag-skill {
	padding: 0.25rem 1rem;
}
.portfolio-intro-description {
	max-width: 650px;
	position: relative;
	width: 100%;
}

.portfolio-short-description {
	max-width: 80%;
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
	gap: 1rem;
}
.portfolio-short-left {
	min-width: 240px;
	max-width: 300px;
}
.portfolio-short-right {
	flex: 1 1 0;
	min-width: 0;
}
@media (max-width: 992px) {

  .portfolio-item-img-tags {
    right: 8px;
    top: 8px;
    gap:8px;

    bottom: 8px;
    top: auto;
    left: 8px;
    gap: 8px;
    right: auto;
    display: flex;
    flex-wrap: nowrap;
  }
    .portfolio-item-img-tags span {
      white-space: nowrap;
      font-size: 0.7rem;
        font-weight: 400;
        padding: 2px 6px;
    }

	.portfolio-intro-head {
		flex-direction: column;
	}
	.portfolio-intro-tags .tag-skill {
		font-size: 0.95rem;
    font-weight: 400;
	}
	.portfolio-intro-links {
		display: inline-flex;
    flex-wrap: wrap;
	}
	.portfolio-short-description {
		flex-direction: column;
	}

}

/* portfolio end */
/* steps section */
.steps {
  overflow-x: hidden;
}
.steps-box-wrapper {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 1.5rem;
  align-items: stretch;
}

.steps-box {
  width: calc(33.333% - 1rem);
  padding: 24px;
  border: 3px solid;
  border-color:var(--stepsBorder);
  background: #fff;
  background: var(--stepsBg);
  border-radius: 16px;
  display: flex;
  flex-direction: column;
  transition: all 400ms ease;
}

.steps-box:hover {
  transform: translateY(-8px);
}

.steps-top {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
}

.steps-title {
  display: flex;
  align-items: center;
}

.steps-title h3 {
  font-size: 1.5rem;
  font-weight: 500;
  margin: 0;
  display: flex;
  align-items: center;
  gap: 0.75rem;
  text-transform: capitalize;
  margin-bottom: 1.5rem;
}

/* Базовый стиль для иконки */
.steps-title h3::before {
  content: "";
  display: inline-block;
  width: 3rem;
  height: 3rem;
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  flex-shrink: 0;
}

/* Иконки для каждого блока */
.steps-title-001 h3::before {
  background-image: url("../img/icon-001.svg");
}

.steps-title-002 h3::before {
  background-image: url("../img/icon-002.svg");
}

.steps-title-003 h3::before {
  background-image: url("../img/icon-003.svg");
}

.steps-items-title {
  font-size: 1rem;
  font-weight: 600;
  margin-bottom: 0.5rem;
  border-radius: 8px;
  padding: 1rem 1rem 0rem 0rem;
  display: inline-flex;
}

.steps-items-list {
  list-style: none;
  padding: 0;
  margin: 0;
  counter-reset: list-counter;
}

.steps-items-list li {
  display: flex;
  align-items: flex-start;
  font-size: 1rem;
  line-height: 1.5;
  margin-bottom: 0.5rem;
  counter-increment: list-counter;
  position: relative;
  padding-left: 2.5rem;
}

.steps-items-list li::before {
  content: counter(list-counter, decimal-leading-zero) " —";
  color: #8E8E8E;
  font-weight: 300;
  position: absolute;
  left: 0;
}

.steps-bottom {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  margin-top: auto;
}

.steps-bottom-left p {
  margin: 0;
  font-weight: 500;
  font-size: 1.1rem;
}

.steps-arrow-button {
  display: flex;
  height: 3rem;
  width: 3rem;
  border-radius: 0.5rem;
  background: #DEDEDF;
  align-content: center;
  flex-wrap: wrap;
  justify-content: center;
  transition: all 400ms ease;
}

.steps-arrow-button:hover {
  background: #252529;
}

/*
.icon-arrow-steps {
  -webkit-mask: url(https://andriy.work/layout/img/icon-arrow-black.svg);
          mask: url(https://andriy.work/layout/img/icon-arrow-black.svg);
}
.icon-arrow-steps {
  -webkit-mask: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/icon-arrow-black.svg);
          mask: url(https://s3-us-west-2.amazonaws.com/s.cdpn.io/3/icon-arrow-black.svg);
}
*/
.icon-arrow-steps {
  -webkit-mask: url(../img/icon-arrow-black.svg);
  mask: url(../img/icon-arrow-black.svg);
}

.icon-svg {
  display: inline-block;
  width: 24px;
  height: 24px;
  background: black;
  -webkit-mask-size: cover;
  mask-size: cover;
}

.icon-svg:hover,
.icon-svg:focus {
  background: #fff;
}

.steps-arrow-button .icon-svg {
  transition: all 400ms ease;
  transform: rotate(45deg);
  transform-origin: 50% 50%;
  background: #000;
}

.steps-arrow-button:hover .icon-svg {
  transform: rotate(-45deg);
  background: #fff;
}

/* Swiper container */
.swiper-container {
  width: 100%;
}

@media (min-width: 1024px) {
  .swiper-container {
    display: flex;
  }

  .swiper-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 16px;
    /* Разрыв между карточками */
    align-items: stretch;
    /* Фикс разной высоты карточек */
  }

  .swiper-slide {
    width: calc(33.333% - 1rem);
    /* Возвращаем прежнюю ширину */
    flex-shrink: 0;
    display: flex;
    /* Растягиваем контент */
    flex-direction: column;
  }

  .steps-box {
    width: 100%;
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    min-height: 520px;
  }
}

@media (max-width: 1024px) {
  .swiper-wrapper {
    align-items: stretch;
  }

  .swiper-slide {
    width: 85vw;
    max-width: 340px;
    display: flex;
    height: auto;
  }

  .steps-box {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    width: 100%;
  }

  .layout.no-padding,
  .container-fluid.no-padding {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }

  .swiper-container {
    padding-left: 24px;
    padding-right: 16px;
  }

  .swiper-slide:first-child {
    margin-left: -36px;
  }

  .swiper-slide:last-child {
    margin-right: 0;
  }
}

/* steps section end */

/* skills scrolling */
.skills-wrapper {
  display: flex;
  max-width: 100%;
  margin: 0 auto;
  padding-top: 180px;
  padding-bottom: 180px;
}
.skills-left {
  width: 40%;
  position: sticky;
  top: 0;
  height: fit-content;
  display: flex;
  flex-direction: column;
  padding-top: 180px;
  padding-bottom: 180px;
}
.skills-right {
    width: 60%;
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap:2rem;
}

.skills-right-wrap {
  margin: 0 auto;
  padding: 0 50px;
}

.skills-block-wrapper {
  margin-bottom: 50px;
}
.skills-block-wrapper:last-child {
  margin-bottom: 0;
}
.skills-block {
  background: #fff;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  background: #fff;
  background: var(--stepsBg);
  border: 1px solid;
  border-color:var(--stepsBorder);
  padding: 2.25rem;
  border-radius: 1rem;
  animation: fadeIn 0.5s ease-in-out;
  width: 100%;
}
.skills-block p {
  font-size: 1.125rem;
  color: var(--text-light);
}

.skills-list {
  display: grid;
  gap: 0.75rem;
}

.skill-item {
  display: flex;
  align-items: center;
  font-size: 1.125rem;
  font-weight: 300;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
  will-change: transform, box-shadow;
}

.skill-item:hover {
  transform: translateY(-3px);
}

.skill-item span {
  font-weight: 400;
  margin-right: 0.5rem;
  padding: 0.1rem 0.8rem;
  border-radius: 8px;
}

.skills-list-green .skill-item span {
  background: #eaf7e1;
  border: 1px solid #ceeeca;
  color: #363131;
}

.skills-list-orange .skill-item span {
  background: #FFF3E8;
  border: 1px solid #F7E5D4;
  color: #363131;
}

.skills-list-blue .skill-item span {
  background: #EDF4FF;
  border: 1px solid #D2E4FF;
  color: #363131;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translateY(10px);
  }

  to {
    opacity: 1;
    transform: translateY(0);
  }
}

@media (max-width: 1280px) {


  .skills-left {
    position: unset;
    width: 100%;
  }

  .skills-block {
    width: 100%;
    padding: 1.5rem;
  }

  .skill-item {
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 0.5rem;
  }
}


@media (max-width: 1280px) {
  .skills-wrapper {
    flex-direction: column;
    gap: inherit;
  }
  .skills-left {
    width: 100%;
    position: relative;
    padding-top: 0px;
    padding-bottom: 40px;
  }
  .skills-right {
    padding: 0px;
    display: flex;
    justify-content: center;
    width: 100%;
    padding: 0 0 100px 0;
  }
  .skills-right-wrap {
    width: 100%;
    padding: 0 0 100px 0;

  }
  .skill-item {
    display: inline-block;
  }
}

/* skills scrolling end */
/* footer */
footer {
  background: #1C1D20;
  height: 80vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: sticky;
  bottom: 0;
  overflow: hidden;
  z-index: 1;
  background-color: #1C1D20;
  background-image: url('../img/bg-footer.svg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

footer h2 {
  color: var(--text-dark);
}

footer p {
  color: var(--text-dark);
}

.footer-middle {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  flex-grow: 1;
}

.footer-bottom {
  margin-top: auto;
  width: 100%;
  text-align: left;
  color: var(--text-dark);
}

.tag-footer {
  padding: 0.375rem 1rem;
  background: #ececed;
  border: 0.0625rem solid;
  border-color: #ececed;
  border-radius: 0.75rem;
  color:#363131;
  gap: 2rem;
  font-size: 1.6rem;
  font-weight: 400;
}

.footer-bottom {
  display: flex;
  gap: 3rem;
  justify-content: space-between;
  align-items: end;
}

.footer-bottom-left {
  align-content: flex-end;
}

.footer-bottom-right {
  align-content: flex-end;
  text-transform: uppercase;
}

.footer-bottom-right .time-title {
  color: #777777;
}
.footer-bottom-far-right {
  display:flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-content: flex-end;
  text-transform: uppercase;
  text-align:right;
}
.footer-bottom-far-right .author-title {
  color: #777777;
}

/* footer end */
/* toggle button start*/
.toggle-button {
  -webkit-appearance: none;
  outline: none;
  width: 48px;
  height: 48px;
  border-radius: 120px;
  position: relative;
  transition: 0.4s;
  background: url("../img/icon-moon.svg") no-repeat center #dededf;
  background-size: 24px;
  cursor: pointer;
}

.toggle-button:checked {
  background: url("../img/icon-sun.svg") no-repeat center #fff;
  background-size: 24px;
}

/* toggle button end*/



/* to the top */
/* to the top end */





.svg-light,
.svg-dark {
  display: inline-block;
}
[data-theme="dark"] .svg-light {
  display: none;
}
[data-theme="dark"] .svg-dark {
  display: inline-block;
}
[data-theme="light"] .svg-dark {
  display: none;
}
[data-theme="light"] .svg-light {
  display: inline-block;
}


/* button styles */


.btn-btn {
	display: flex;
	align-items: center;
	gap:0.5rem;
  flex-wrap: wrap;
  padding: 8px 24px;;
	border: 2px solid #222;
  background: #222;
  color: white;
  border-radius: 12px;
	text-decoration: none;
  transition: all 400ms ease;
	height: fit-content;
	width: max-content;
}
.btn-icons {
	padding: 2px 16px 2px 2px;
}
.btn-website {
	background: #173cf7;
	border: 2px solid #173cf7;
	color: #fff;
}

.btn-figma {
	background: #222;
	border: 2px solid #222;
	color: #fff;
}
[data-theme="dark"] .btn-figma {
	background: #dededf;
	border: 2px solid #dededf;
	color: #222;
}
.btn-getintouch {
	background: transparent;
	border: 2px solid #222;
	color: #222;
}
.btn-outline {
	border: 2px solid #222;
  background: transparent;
  color: #222;
}
[data-theme="dark"] .btn-outline {
	border: 2px solid #dededf;
  background: transparent;
  color: #dededf;
}

.btn-website:hover,.btn-figma:hover,.btn-getintouch:hover, .btn-outline:hover {
	border: 2px solid #ff5722;
	background: #ff5722;
	color: white;
}
.btn-icon {
	background: #ffffff;
	display: flex;
	height: 2.25rem;
	width: 2.25rem;
	border-radius: 7px;
	gap:1rem;
}
.icon-figma {
	background-image: url(../img/icon-figma.svg);
	background-size: 1.5rem;
	background-repeat: no-repeat;
	background-position: center;
}
.icon-website {
	background-image: url(../img/icon-link.svg);
	background-size: 1.5rem;
	background-repeat: no-repeat;
	background-position: center;
}

/* button styles end*/


.game-portfolio-bg {
    background-size: contain;
    background-position: top;
    background-repeat: no-repeat;
}

@media (max-width: 1280px) {
  .game-portfolio-bg {
    background-size: auto;
    background-position: top;
    background-repeat: no-repeat;
  }
  .portfolio-intro-body {
    width: 100%;
  }
}

.loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 105vh;
  background: #ececed;
  z-index: 10000;
  clip-path: polygon(0% 0%, 100% 0%, 100% 100%, 0% 100%);
  overflow: hidden;
}

.progress-bar {
  position: absolute;
  bottom: 0;
  width: 0%;
  height: 100%;
  background: #ff5722;
  background: linear-gradient(to right, #0028ff, #ff5722);
  clip-path: polygon(0% 80%, 100% 80%, 100% 100%, 0% 100%);
}

#loader-copy-1,
#loader-copy-2,
#loader-copy-3 {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-transform: uppercase;
  text-align: center;
  opacity: 0;
}

.loader .word {
  opacity: 0;
}